using Billing.Languages;
using System;
using System.Globalization;
using Xamarin.Forms;

namespace Billing.UI;

public class TitleDateConverter : IValueConverter
{
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
        if (value is DateTime date)
        {
            return date.ToString(Resource.TitleDateFormat);
        }
        return value;
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
        return value;
    }
}
